import { jsx } from "react/jsx-runtime";
import { Exam as Exam$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Exam = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Exam", ...props, children: /* @__PURE__ */ jsx(Exam$1, { weight: variant }) });
  }
);
Exam.displayName = "Exam";
Object.assign(Exam, { isGdsIcon: true });
export {
  Exam
};
